%define _name hardware-monitor

Name: gnome-applets-extra-hardware-monitor
Version: 1.4
Release: alt3

Summary: Hardware monitor applet for the GNOME panel
Summary (ru_RU.UTF-8): Апплет панели GNOME для показа состояния аппаратуры компьютера
Group: Graphical desktop/GNOME
License: %gpl2plus
Url: http://www.cs.aau.dk/~olau/hardware-monitor/
Source0: %url/source/%_name-%version.tar.bz2
#Patch0: %_name-1.2-russian.diff
Patch1: %_name-1.4-fix-missing-libgnomeui-parts.patch

Packager: Alexey Rusakov <ktirf@altlinux.org>

BuildPreReq: rpm-build-licenses rpm-build-gnome

# From configure.ac
%define gtkmm_ver 2.6.0
%define gconfmm_ver 2.6.0
%define libgnomecanvasmm_ver 2.6.0
%define libglademm_ver 2.4.0
%define gnome_panel_ver 2.0.0
%define libgtop_ver 2.6.0

Requires: gnome-panel >= %gnome_panel_ver

BuildPreReq: libgtkmm2-devel >= %gtkmm_ver
BuildPreReq: libgconfmm2-devel >= %gconfmm_ver
BuildPreReq: libgnomecanvasmm-devel >= %libgnomecanvasmm_ver
BuildPreReq: libglademm-devel >= %libglademm_ver
BuildPreReq: libgnome-panel-devel >= %gnome_panel_ver
BuildPreReq: libgtop2-devel >= %libgtop_ver

BuildRequires: gcc-c++ libSM-devel libICE-devel libgdbm-devel libpopt-devel libsensors-devel perl-XML-Parser libgnomeui-devel

%description
This applet displays various hardware-related information, such as CPU usage,
memory usage etc. Supports curve graphs, horizontal bar plots, column
diagrams, textual monitoring and fluctuating flames.

%description -l ru_RU.UTF-8
Апплет панели GNOME, отображающий разнообразную информацию о работе
аппаратуры компьютера, например загрузку процессора, памяти и т.д..
Поддерживает отображение в форме кривых, полос, гистограмм, текста и языков
пламени.

%prep
%setup -q -n %_name-%version
#patch0 -p1
%patch1 -p0 -b .fix-missing-libgnomeui-parts

%build
%autoreconf
%configure --with-libsensors
%make_build

%install
%makeinstall_std
%find_lang --with-gnome %_name

%files -f %_name.lang
%bonobo_serversdir/*
%_libexecdir/%_name
%_datadir/%_name
%_pixmapsdir/*
%doc AUTHORS README ChangeLog NEWS

%changelog
* Mon Apr 13 2009 Alexey Rusakov <ktirf@altlinux.org> 1.4-alt3
- Specfile cleanup.
- Fixed build breakage due to insufficient include flags.
- Specified the license more exactly.
- Added Packager tag.

* Wed Feb 07 2007 Alexey Rusakov <ktirf@altlinux.org> 1.4-alt2
- Fixed packaging on x86_64.

* Wed Feb 07 2007 Alexey Rusakov <ktirf@altlinux.org> 1.4-alt1
- New version (1.4)
- Removed explicit Requires on library packages.

* Sat Feb 18 2006 Alexey Rusakov <ktirf@altlinux.ru> 1.3-alt2
- Buildreqs updated for X.org 7.0.

* Sun Oct 09 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.3-alt1
- New version (doesn't require libgnomemm and libgnomeuimm).
- Updated Requires and BuildReqs.

* Mon Mar 14 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.2.1-alt1
- New version. 

* Fri Dec 24 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.2-alt1
- ALTLinux build
